| FoxitPDFSDKforWeb v11.0.6 Archives Foxit PDF SDK for Web

Public Attributes | List of all members
TreeNodeData Interface Reference
UIExtension » components » widgets

Represents the data structure for a tree node. More...

## Public Attributes
boolean | activated
| Indicates whether the node's subtree is expanded. Default is false. More...
boolean | checkable
| Indicates whether the node is selectable and displays a checkbox. More...
boolean | checked
| Indicates whether the node is checked. More...
TreeNodeData [] | children
| An array of child nodes. More...
string | color
| The text color for the node's title. Default is "#000000". More...
boolean | disabled
| Indicates whether the node is disabled. Default is false. More...
boolean | editable
| Indicates whether the node is editable. Default is false. More...
boolean | editing
| Indicates whether the node is in editing mode. Default is false. More...
string | icon
| The CSS class for the node's icon. More...
string | id
| The unique index for the node. More...
boolean | isBold
| Indicates whether the node's title is bold. Default is false More...
boolean | isItalic
| Indicates whether the node's title is italic. Default is false More...
boolean | isLeaf
| Indicates whether the node is forced to be a leaf node. Default is true. Useful for asynchronous loading of child nodes. More...
boolean | selectable
| Indicates whether the node is selectable. Default is false. More...
boolean | selected
| Indicates whether the node is initially selected. Default is false. More...
string | title
| The content to be displayed. More...

## Detailed Description

Represents the data structure for a tree node.

Since
  10.0.0

## Member Data Documentation

## ◆ activated

boolean TreeNodeData::activated

Indicates whether the node's subtree is expanded. Default is false.

Since
  10.0.0

## ◆ checkable

boolean TreeNodeData::checkable

Indicates whether the node is selectable and displays a checkbox.

Since
  10.0.0

## ◆ checked

boolean TreeNodeData::checked

Indicates whether the node is checked.

Since
  10.0.0

## ◆ children

TreeNodeData [] TreeNodeData::children

An array of child nodes.

Since
  10.0.0

## ◆ color

string TreeNodeData::color

The text color for the node's title. Default is "#000000".

Since
  10.0.0

## ◆ disabled

boolean TreeNodeData::disabled

Indicates whether the node is disabled. Default is false.

Since
  10.0.0

## ◆ editable

boolean TreeNodeData::editable

Indicates whether the node is editable. Default is false.

Since
  10.0.0

## ◆ editing

boolean TreeNodeData::editing

Indicates whether the node is in editing mode. Default is false.

Since
  10.0.0

## ◆ icon

string TreeNodeData::icon

The CSS class for the node's icon.

Since
  10.0.0

## ◆ id

string TreeNodeData::id

The unique index for the node.

Note
  The id of TreeNodeData cannot be omitted and must be unique!

Since
  10.0.0

## ◆ isBold

boolean TreeNodeData::isBold

Indicates whether the node's title is bold. Default is false

Since
  10.0.0

## ◆ isItalic

boolean TreeNodeData::isItalic

Indicates whether the node's title is italic. Default is false

Since
  10.0.0

## ◆ isLeaf

boolean TreeNodeData::isLeaf

Indicates whether the node is forced to be a leaf node. Default is true. Useful for asynchronous loading of child nodes.

Since
  10.0.0

## ◆ selectable

boolean TreeNodeData::selectable

Indicates whether the node is selectable. Default is false.

Since
  10.0.0

## ◆ selected

boolean TreeNodeData::selected

Indicates whether the node is initially selected. Default is false.

Since
  10.0.0

## ◆ title

string TreeNodeData::title

The content to be displayed.

Since
  10.0.0

@2025 Foxit Software Incorporated. All rights reserved.